nonstd::optional_lite::detail::storage_t< T > Union Template Reference

C++03 constructed union to hold value. More...

`#include <optional.hpp>`

## Classes

struct | aligned_storage_t

## Public Types

typedef T | value_type

## Public Member Functions

| storage_t () optional_is_default explicit storage_t(value_type const &v)
void | construct_value (value_type const &v)
void | destruct_value ()
optional_nodiscard value_type const * | value_ptr () const
value_type * | value_ptr ()
optional_nodiscard value_type const & | value () const optional_ref_qual
value_type & | value () optional_ref_qual
typedef | optional_ALIGN_AS (value_type) align_as_type
optional_nodiscard void * | ptr () optional_noexcept
optional_nodiscard void const * | ptr () const optional_noexcept
template<typename U >
optional_nodiscard U * | as ()
template<typename U >
optional_nodiscard U const * | as () const

## Public Attributes

aligned_storage_t | data

## Detailed Description

template<typename T>
union nonstd::optional_lite::detail::storage_t< T >

C++03 constructed union to hold value.

Definition at line 750 of file optional.hpp.

## Member Typedef Documentation

## value_type

template<typename T >

typedef T nonstd::optional_lite::detail::storage_t< T >::value_type

Definition at line 755 of file optional.hpp.

## Constructor & Destructor Documentation

## storage_t()

template<typename T >

nonstd::optional_lite::detail::storage_t< T >::storage_t | ( |  | ) | const &

inline

Definition at line 757 of file optional.hpp.

## Member Function Documentation

## as() [1/2]

template<typename T >
template<typename U >

optional_nodiscard U * nonstd::optional_lite::detail::storage_t< T >::as | ( |  | ) |

inline

Definition at line 873 of file optional.hpp.

## as() [2/2]

template<typename T >
template<typename U >

optional_nodiscard U const * nonstd::optional_lite::detail::storage_t< T >::as | ( |  | ) | const

inline

Definition at line 879 of file optional.hpp.

## construct_value()

template<typename T >

void nonstd::optional_lite::detail::storage_t< T >::construct_value | ( | value_type const & | v | ) |

inline

Definition at line 764 of file optional.hpp.

## destruct_value()

template<typename T >

void nonstd::optional_lite::detail::storage_t< T >::destruct_value | ( |  | ) |

inline

Definition at line 801 of file optional.hpp.

## optional_ALIGN_AS()

template<typename T >

typedef nonstd::optional_lite::detail::storage_t< T >::optional_ALIGN_AS | ( | value_type |  | ) |

## ptr() [1/2]

template<typename T >

optional_nodiscard void const * nonstd::optional_lite::detail::storage_t< T >::ptr | ( |  | ) | const

inline

Definition at line 867 of file optional.hpp.

## ptr() [2/2]

template<typename T >

optional_nodiscard void * nonstd::optional_lite::detail::storage_t< T >::ptr | ( |  | ) |

inline

Definition at line 862 of file optional.hpp.

## value() [1/2]

template<typename T >

optional_nodiscard value_type const & nonstd::optional_lite::detail::storage_t< T >::value | ( |  | ) | const

inline

Definition at line 816 of file optional.hpp.

## value() [2/2]

template<typename T >

value_type & nonstd::optional_lite::detail::storage_t< T >::value | ( |  | ) |

inline

Definition at line 821 of file optional.hpp.

## value_ptr() [1/2]

template<typename T >

value_type * nonstd::optional_lite::detail::storage_t< T >::value_ptr | ( |  | ) |

inline

Definition at line 811 of file optional.hpp.

## value_ptr() [2/2]

template<typename T >

optional_nodiscard value_type const * nonstd::optional_lite::detail::storage_t< T >::value_ptr | ( |  | ) | const

inline

Definition at line 806 of file optional.hpp.

## Member Data Documentation

## data

template<typename T >

aligned_storage_t nonstd::optional_lite::detail::storage_t< T >::data

Definition at line 856 of file optional.hpp.

The documentation for this union was generated from the following file:

- restinio/third_party/optional-lite/optional.hpp